> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new app



## OpenAPI

````yaml /api-reference/membrane-api.json post /external-apps
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-apps:
    post:
      tags:
        - ExternalApps
      summary: Create a new app
      operationId: createApp
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExternalAppDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAppDto'
components:
  schemas:
    CreateExternalAppDto:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          description: Machine key (e.g., "attio"). Unique per workspace.
        name:
          type: string
          minLength: 1
          description: Human-readable app name (e.g., "Attio").
        appUri:
          type: string
          description: App's main URL (e.g., "https://attio.com").
          format: uri
        logoUri:
          type: string
          format: uri
        tenantId:
          type: string
      required:
        - key
        - name
    ExternalAppDto:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        isReadOnly:
          type: boolean
        isPublic:
          type: boolean
        isConnected:
          type: boolean
        uuid:
          type: string
        name:
          type: string
        appUri:
          type: string
          format: uri
        logoUri:
          type: string
          format: uri
        defaultConnectorId:
          type: string
        basePackageId:
          type: string
        categories:
          type: array
          items:
            type: string
        popularity:
          type: number
        readmeSlug:
          type: string
        hasAuth:
          type: boolean
        hasData:
          type: boolean
        hasFreeTestAccount:
          type: boolean
          nullable: true
        freeTestAccountGuide:
          type: string
        freeTestAccountGuideVerifiedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
          nullable: true
        openapiSpecs:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              sourceUri:
                type: string
        tenantId:
          type: string
      required:
        - id
        - key
        - isReadOnly
        - uuid
        - name
        - appUri
        - logoUri
        - defaultConnectorId
        - categories
        - popularity
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````